%define __libtoolize    /bin/true

Name:           kiosktool
Summary:        Tool to enable KDE's KIOSK feature.
Version:        0.8
Release:        1mdk
Source:         %{name}-%{version}.tar.bz2
URL:            http://www-ftp.lip6.fr/pub/X11/kde/stable/apps/KDE3.x/admin/
Group:		Graphical desktop/KDE
BuildRoot:      %_tmppath/%name-buildroot
License:		GPL
BuildRequires:	XFree86-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	arts-devel
BuildRequires:	png-devel
BuildRequires:	jpeg-devel

%description
A Point&Click tool for system administrators to enable KDE's KIOSK features or 
otherwise preconfigure KDE for groups of users.

%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q
export QTDIR=%_prefix/lib/qt3

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure --disable-rpath

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#Menu
install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "System/Configuration/Other" $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/kiosktool.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} kde

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root,0755)

%_bindir/kiosktool
%_bindir/kiosktool-kdedirs
%_menudir/kiosktool

%_datadir/applnk/Utilities/kiosktool.desktop

%dir %_datadir/apps/kiosktool/
%_datadir/apps/kiosktool/*.png
%_datadir/apps/kiosktool/*.xml
%_datadir/apps/kiosktool/*.rc

%_datadir/icons/crystalsvg/16x16/apps/kiosktool.png
%_datadir/icons/crystalsvg/32x32/apps/kiosktool.png
%_datadir/icons/crystalsvg/48x48/apps/kiosktool.png



%changelog
* Mon Aug 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- 0.8

* Thu Aug 19 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.7-2mdk
- deps & lib64 fixes

* Tue Jul 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- 0.7

* Thu Jul 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- 0.6

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-1mdk
- 0.5

* Tue Jun 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.1-1mdk
- 0.4.1

* Thu May 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-1mdk
- 0.3

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-1mdk
- First package

